geowallet
  1. Business to Business (B2B)
geowallet
  • Overview
  • Authentication
  • APIs
    • Ledger Balance
      • Get Balance of all ledgers
      • Get Balance for a single currency
    • Create a Quotation
      • quotations
    • Create a Transaction
      • Transaction
    • Transaction Query
      • Transaction Query
    • Transaction Status Webhook
  • Business Transaction API
    • Business to Business (B2B)
      • Transaction
        POST
    • Business to Person (B2P)
      • Transaction
    • B2P to mobile wallet
      • Transaction
    • Person to Business (P2B)
      • Transaction
    • Request parameter list
  • Response Codes & Messages
    • Generic Response
    • Beneficiary Validation Responses
    • Quote Response
    • Remit Response
  • Purpose, Source of Funds, and Relationship
    • P2P Purpose for Transaction
    • P2P Source of Funds
    • P2P Relationship
    • Person to Business
    • Business to Person
    • Business to Business
  • Country Specific Parameters list
  • Country Specific Recipient Documents
  • GeoSwift Verify (GSV)
  • About Us
  1. Business to Business (B2B)

Transaction

Developing
POST
/api/v1/transactions

Request

Body Params application/jsonRequired

Example
{
    "currency": "NGN",
    "type": "b2b",
    "requestDate": "2026-03-02T18:15:30.000Z",
    "amount": "125000.75",
    "descriptionText": "Payment for electronic components shipment",
    "transactionReference": "GSWIFT_B2B_US_NG_260302181530",
    "sendingAmount": "275.50",
    "payinCcyCode": "USD",
    "provider": "23490",
    "paymentMode": "Bank account",
    "authenticationPartnerCode": "AUTH98765",
    "paymentOption": "Account Credit",
    "sendingPartnerCode": "SP20260302US",
    "receivingPartnerCode": "RP20260302NG",
    "kidNumber": "KID260302181530001",
    "debitParty": [
        {
            "key": "msisdn",
            "value": "+14155552671"
        }
    ],
    "creditParty": [
        {
            "key": "bankaccountno",
            "value": "0631234567"
        },
        {
            "key": "sortcode",
            "value": "GTBINGLA"
        },
        {
            "key": "organisationid",
            "value": "Guaranty Trust Bank"
        },
        {
            "key": "banksubcode",
            "value": "0001"
        },
        {
            "key": "bankBranchName",
            "value": "Lagos Main Branch"
        },
        {
            "key": "accountName",
            "value": "TechNova Nigeria Ltd"
        },
        {
            "key": "accountIBAN",
            "value": ""
        },
        {
            "key": "accountAdditionalNo1",
            "value": "GTB/NG/0631234567/LAGOS"
        }
    ],
    "senderKyc": {},
    "recipientKyc": {},
    "internationalTransferInformation": {
        "quoteId": "GSQT260302181530USB2B",
        "receivingCountry": "NG",
        "remittancePurpose": "Goods Payment",
        "sourceOfFunds": "Business Revenue"
    },
    "business": {
        "senderKyc": {
            "businessName": "Global Circuit Solutions Inc.",
            "businessAddress1": "555 Market Street, Suite 1200",
            "businessAddressCity": "San Francisco",
            "businessAddressCountryCode": "US",
            "businessPrimaryContactCountryCode": "US",
            "businessPrimaryContactNo": "14155552671",
            "businessDescription": "Electronic Components Distribution",
            "businessCountryCode": "US",
            "businessRegistrationType": "LLC",
            "businessRegistrationNumber": "C123456789",
            "businessRegistrationIssueDate": "2018-05-12",
            "businessIDValidThru": "2038-05-12"
        },
        "recepientKyc": {
            "businessName": "TechNova Nigeria Limited",
            "businessPINCode": "PN123456789",
            "businessAddress1": "Plot 45, Adeola Odeku Street",
            "businessAddress2": "Victoria Island",
            "businessAddressCity": "Lagos",
            "businessAddressState": "Lagos",
            "businessAddressCountryCode": "NG",
            "businessAddressZip": "101241",
            "businessPrimaryContactCountryCode": "NG",
            "businessPrimaryContactNo": "2348012345678",
            "businessPrimaryContactNoType": "Mobile",
            "businessDescription": "Electronics Import & Distribution",
            "businessEmail": "accounts@technova.ng",
            "businessCountryCode": "NG",
            "businessRegistrationType": "Limited Liability Company",
            "businessRegistrationNumber": "RC-1234567",
            "businessRegistrationIssuedBy": "Corporate Affairs Commission (CAC)",
            "businessRegistrationIssuedAt": "Abuja",
            "businessRegistrationIssueDate": "2015-11-30",
            "businessIDValidThru": "2035-11-30",
            "typeofbusiness": "Wholesale Trade",
            "businessPObox": "P.O. Box 12345",
            "businessMobile": "2348012345678"
        }
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'http://prod-cn.your-api-server.com/api/v1/transactions' \
--header 'Content-Type: application/json' \
--data-raw '{
    "currency": "NGN",
    "type": "b2b",
    "requestDate": "2026-03-02T18:15:30.000Z",
    "amount": "125000.75",
    "descriptionText": "Payment for electronic components shipment",
    "transactionReference": "GSWIFT_B2B_US_NG_260302181530",
    "sendingAmount": "275.50",
    "payinCcyCode": "USD",
    "provider": "23490",
    "paymentMode": "Bank account",
    "authenticationPartnerCode": "AUTH98765",
    "paymentOption": "Account Credit",
    "sendingPartnerCode": "SP20260302US",
    "receivingPartnerCode": "RP20260302NG",
    "kidNumber": "KID260302181530001",
    "debitParty": [
        {
            "key": "msisdn",
            "value": "+14155552671"
        }
    ],
    "creditParty": [
        {
            "key": "bankaccountno",
            "value": "0631234567"
        },
        {
            "key": "sortcode",
            "value": "GTBINGLA"
        },
        {
            "key": "organisationid",
            "value": "Guaranty Trust Bank"
        },
        {
            "key": "banksubcode",
            "value": "0001"
        },
        {
            "key": "bankBranchName",
            "value": "Lagos Main Branch"
        },
        {
            "key": "accountName",
            "value": "TechNova Nigeria Ltd"
        },
        {
            "key": "accountIBAN",
            "value": ""
        },
        {
            "key": "accountAdditionalNo1",
            "value": "GTB/NG/0631234567/LAGOS"
        }
    ],
    "senderKyc": {},
    "recipientKyc": {},
    "internationalTransferInformation": {
        "quoteId": "GSQT260302181530USB2B",
        "receivingCountry": "NG",
        "remittancePurpose": "Goods Payment",
        "sourceOfFunds": "Business Revenue"
    },
    "business": {
        "senderKyc": {
            "businessName": "Global Circuit Solutions Inc.",
            "businessAddress1": "555 Market Street, Suite 1200",
            "businessAddressCity": "San Francisco",
            "businessAddressCountryCode": "US",
            "businessPrimaryContactCountryCode": "US",
            "businessPrimaryContactNo": "14155552671",
            "businessDescription": "Electronic Components Distribution",
            "businessCountryCode": "US",
            "businessRegistrationType": "LLC",
            "businessRegistrationNumber": "C123456789",
            "businessRegistrationIssueDate": "2018-05-12",
            "businessIDValidThru": "2038-05-12"
        },
        "recepientKyc": {
            "businessName": "TechNova Nigeria Limited",
            "businessPINCode": "PN123456789",
            "businessAddress1": "Plot 45, Adeola Odeku Street",
            "businessAddress2": "Victoria Island",
            "businessAddressCity": "Lagos",
            "businessAddressState": "Lagos",
            "businessAddressCountryCode": "NG",
            "businessAddressZip": "101241",
            "businessPrimaryContactCountryCode": "NG",
            "businessPrimaryContactNo": "2348012345678",
            "businessPrimaryContactNoType": "Mobile",
            "businessDescription": "Electronics Import & Distribution",
            "businessEmail": "accounts@technova.ng",
            "businessCountryCode": "NG",
            "businessRegistrationType": "Limited Liability Company",
            "businessRegistrationNumber": "RC-1234567",
            "businessRegistrationIssuedBy": "Corporate Affairs Commission (CAC)",
            "businessRegistrationIssuedAt": "Abuja",
            "businessRegistrationIssueDate": "2015-11-30",
            "businessIDValidThru": "2035-11-30",
            "typeofbusiness": "Wholesale Trade",
            "businessPObox": "P.O. Box 12345",
            "businessMobile": "2348012345678"
        }
    }
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-03-12 10:41:51
Previous
Business to Business (B2B)
Next
Transaction
Built with